mocha.ui('tdd');
var assert = chai.assert,
    kineticContainer = document.getElementById('kinetic-container'),
    origAssertEqual = assert.equal,
    origAssert = assert,
    origNotEqual = assert.notEqual,
    assertionCount = 0,
    assertions = document.createElement('em');

function init() {
  // assert extenders so that we can count assertions
  assert = function() {
    origAssert.apply(this, arguments);
    assertions.innerHTML = ++assertionCount;
  };
  assert.equal = function() {
    origAssertEqual.apply(this, arguments);
    assertions.innerHTML = ++assertionCount;
  };
  assert.notEqual = function() {
    origNotEqual.apply(this, arguments);
    assertions.innerHTML = ++assertionCount;
  };

  window.onload = function() {
    var mochaStats = document.getElementById('mocha-stats');

    if (mochaStats) {
      var li = document.createElement('li');
      var anchor = document.createElement('a');

      anchor.href = '#';
      anchor.innerHTML = 'assertions:';
      assertions.innerHTML = 0;

      li.appendChild(anchor);
      li.appendChild(assertions);
      mochaStats.appendChild(li);
    }
  }
}




Kinetic.enableTrace = true;


function addStage() {
  var container = document.createElement('div'),
      stage = new Kinetic.Stage({
          container: container,
          width: 578,
          height: 200
      });

  kineticContainer.appendChild(container);

  return stage;
}

function addContainer() {
  var container = document.createElement('div');

  kineticContainer.appendChild(container);

  return container;
}

function showHit(layer) {
  var canvas = layer.hitCanvas._canvas;
  canvas.style.position = 'relative';

  kineticContainer.appendChild(canvas);
}

beforeEach(function(){
    var title = document.createElement('h2'),
        test = this.currentTest;

    title.innerHTML = test.parent.title + ' - ' + test.title;
    title.className = 'kinetic-title';
    kineticContainer.appendChild(title);

    // resets
    Kinetic.inDblClickWindow = false;
    Kinetic.DD.isDragging = false;
    Kinetic.DD.node = undefined;
});

init();